For the complete documentation index, see llms.txt. This page is also available as Markdown.

List sales channels

List a store's active sales channels with their full metadata.

List sales channels

get

List a store's active sales channels with their full metadata.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
store_idstringRequired

The ID of the store to list sales channels for.

Example: store_01J8Z5F8W9K8M4A7B3C2D1E0FG
Responses
200

Success response

application/json
get/api/ecommerce/v1/stores/{store_id}/sales-channels
GET /api/ecommerce/v1/stores/{store_id}/sales-channels HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "sales_channels": [
    {
      "id": "scha_01J8Z5F8W9K8M4A7B3C2D1E0FG",
      "type": "custom",
      "is_primary": false,
      "is_active": true,
      "external_id": null,
      "name": "Vintagio Onepager",
      "domain": "https://www.bestshirt.vintagio.com"
    }
  ]
}

Last updated

Was this helpful?